Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 111839 - netscape freeze when is working with java applets with jre plugin
netscape freeze when is working with java applets with jre plugin
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
9
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-10 14:34 EST by Polkan García
Modified: 2016-11-24 09:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 00:54:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Polkan García 2003-12-10 14:34:10 EST
Description of problem:

I have installed RH 9. We used complex forms written in java that
access to a oracle database, by means of Netscape 4.7x 4.8x and plugin
of java for Netscape in its version 1.4.2. I have updated glibc to the
recommended ones by redhat and when I access to the forms everything
goes well a little while, soon simply the Netscape is congealed. In my
network also I have redhat 7,3, I installed the same version of
Netscape, plugin of java, and the problem does not appear, therefore I
believe that he is something of redhat 9, but not that can be.

In my network I have near 70 workstations with redhat linux 9 and in
all the stations it happens the same, the Netscape after initializing
some applet simply is blocked.
I have tested in other versions of redhat (7,3, 7,2) with the same
versions of netscape and jre plugin and all affluent march, non-blocking.

Version-Release number of selected component (if applicable):

Redhat 9.0/Netscape 4.7x/4.8x

How reproducible:

Enter a set of applet that interchange information with a database
server with Netscape and plugin of java on redhat 9

Steps to Reproduce:
1. Install netscape 
2. Install jre plugin
3. Go to web forms.
  
Actual results:

The netscape is frezee

Expected results:

All forms work good in redhat 9

Additional info:

No
Comment 1 Polkan García 2003-12-10 16:40:18 EST
I tested new: In my redhat 9, after being in X (init 5), I ran new
graphical surroundings from one tty with the command "startx --:2". In
the first graphical console (alt + f7) I am not executing the
Netscape, simply, I am logged. In the new window of the X (alt + f8) I
execute the Netscape and I access to the Web forms, NON-BLOCKING, will
be perhaps a problem of X server? 
I again proved to enter the forms Web from the first graphical
terminal (alt + f7) and it was blocked, while in the other console
there was no problem.
It will be some problem of X server?
Comment 2 Ulrich Drepper 2004-08-26 00:54:04 EDT
This most definitely is no problem in glibc.  Netscape 4.x is
notoriously buggy.  Old JVMs, especially when using LinuxThreads, are
a nightmare.

And even if we were to accept that this is a problem with glibc, how
should we debug this?  We cannot debug netscape or JVMs, we don't even
have your complex forms.

Your best bet, if you haven't done so already, is to use a reasonably
well tested and modern environment.  For stable commercial
environments RHEL3 is certainly the best choice.  If you are willing
to live without the support and compatibility guarantees, use FC2 or
the upcoming FC3.

I'm closing the bug.

Note You need to log in before you can comment on or make changes to this bug.